@import url('https://fonts.googleapis.com/css2?family=Muli&display=swap');

:root{
  --darkblue : #0e1e2c ;
  --darkblue2 : #132738 ;
  --lightbg : #f5f5f5 ;
  --ligthbg2 : #F4F8FB ;
  --linkcolor : #0a66c2 ;
   --bordercolor : #DBE1E5 ;
   --cardbg : #fff ;
   --textcolorlight : #595959 ;
   --textcolordark : #212221 ;
   --cardinnerborder : #CFDDFF ;
   --cardinnerbg : #cfddff33 ;
   --titlecolor1 : #f16922 ;
   --fontfamily : 'Muli', sans-serif ;
}
body{
    font-family: var(--fontfamily);  
}

a{
    text-decoration: none;
}
/* filter img */

.filter-btn{
    margin: 20px 0px 10px 0px;
    display: block;
    text-align: center;
  }
  
  .filter-btn button{
    padding: 6px 20px;
    border: none;
    border-radius: 5px;
    border: 1px solid #9D9D9D;
    background: #FFF;
    border-radius: 5px;
    margin: 0px 5px;
    font-size: 15px;
    color: var(--textcolordark);
  }
  
  .filter-btn .active{
    background-color: var(--darkblue);
    color: var(--lightbg);
    border: 1px solid var(--darkblue);
  
  }
  
.main-cont{
    height: fit-content;
    width: 100%;
    background-color: var(--ligthbg2) !important;
    padding: 30px 0px 40px 0px;
    margin-bottom: 40px;
}
.main {
    max-width: 1320px;
    margin: 0 auto;
}
.fisrt-cont {

    overflow: hidden;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.secondmini  {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    margin-top: 28px;
    row-gap: 25px;
    column-gap: 25px;
}
 .top-destin {
    font-size: 25px;
    font-family: var(--fontfamily);
    font-weight: 800;
} 

.destbtn-part1 {
    display: flex;
    column-gap: 10px;
}
.dest-info h4 {
    font-family: var(--fontfamily);
    font-weight: 700;
    font-size: 18px;
}

.dest-info span {
    font-family: var(--fontfamily);
    font-size: 13px;
}
.destination1 {
    display: flex;
    column-gap: 15px;
}

.destination1 {
    align-items: center;
    background-color: white;
    border-radius: 10px;
    border: 1px solid var(--bordercolor);
    /* border-bottom: 1px solid #cdc2c287; */
    display: flex;
    column-gap: 15px;
    padding: 10px;
}
.dest-price span{
    color: var(--titlecolor1);
    font-weight: 700;
    font-size: 16px;
    font-family: var(--fontfamily);
}
.dest-price {
    font-size: 13px;
    font-weight: 600;
}
/* ====================================destination code start here==================================== */
.second-cont {
    display: flex !important;
    row-gap: 25px !important;
    justify-content: center;
    column-gap: 25px !important;
  }

  .card {
    position: relative;
    width: 300px;
    border-radius: 10px !important;
    overflow: hidden;
    box-shadow: 0 10px 20px rgba(0,0,0,0.1);
  }

  .card img {
    width: 100%;
    height: 400px;
    object-fit: cover;
    filter: brightness(0.7) !important;
    transition: all 0.3s ease-in-out;
  }
  .card:hover img {
    filter: brightness(0.3) !important;
  }

  .card-content {
    position: absolute;
    bottom: 0;
    background: white;
    border-radius: 10px;
    padding: 16px;
    height: 150px;
    margin: 20px;
  }

  .location {
    color: #1e88e5;
    font-size: 14px;
    text-transform: uppercase;
    margin-bottom: 4px;
  }

  .title {
    font-weight: 600;
    font-size: 20px;
    font-family: var(--fontfamily);
    margin-bottom: 8px;
  }

  .description {
    color: #555;
    font-size: 14px;
    font-family: var(--fontfamily);
  }

  .stars {
    position: absolute;
    top: 57%;
    z-index: 1;
    right: 17px;
    background: #3f7ee8;
    color: white;
    padding: 6px 12px;
    border-radius: 999px;
    font-size: 14px;
    display: flex;
    align-items: center;
    gap: 2px;
  }

/* destination code end here */
@media only screen and (min-width: 320px) and (max-width: 400px) {
    .second-cont{
        grid-template-columns: repeat(1, 1fr);
    }
    .secondmini {
        display: grid;
        margin-right: 15px;
        margin-left: 15px;
        grid-template-columns: repeat(1, 1fr);
    }

    .fisrt-cont{
        height: auto;
        flex-direction: column;
        padding: 0 20px;
        row-gap: 30px;
    }
    .second-cont{
        margin-top: 35px;
    }
    .secondmini{
        margin-top: 0px;
    }
    .btn1{
        width: 100%;
    }
    .btn2{
        width: 100%;
    }
    .destination1{
        justify-content: center;
        padding: 30px 25px;
    }
    .dest-img {
        height: 100%;
        width: 100%;
    }
    .top-destin{
        font-size: 31px;
    }
    .dest-img img{
        width: 100%;
    }
    .dest-info {
        width: 100%;
    }
}

@media only screen and (min-width: 400px) and (max-width: 550px) {
    .second-cont{
        grid-template-columns: repeat(1, 1fr);
    }
    .secondmini {
        display: grid;
        margin-right: 20px;
        margin-left: 20px;
        grid-template-columns: repeat(1, 1fr);
    }
    .fisrt-cont{
      
        padding: 0 12px;
   
    }

    .destbtn-part1{
        flex-direction: column;
        width: 100%;
        row-gap: 20px;
    }
    .second-cont{
        margin-top: 35px;
    }
    .secondmini{
        margin-top: 0px;
    }
    .btn1{
        width: 100%;
    }
    .btn2{
        width: 100%;
    }
    .destination1{
        justify-content: center;
        padding : 14px;
        column-gap: 30px;
    }
    .dest-img {
        height: 100%;
        width: 100%;
    }
    .top-destin{
        font-size: 31px;
    }
    .dest-img img{
        width: 100%;
        height: 125px;
    }
    .dest-info {
        width: 100%;
   
    }
}
@media only screen and (min-width: 550px) and (max-width: 800px) {
    
    .second-cont{
        justify-content: center;
        padding: 0 20px;
        column-gap: 25px;
        grid-template-columns: repeat(2, 1fr);
    }
    .dest-img img {
        height: 125px;
        width: 106px;
    }
    .dest-info {
        width: 100%;
    }
    .destination1{
        justify-content: center;
    }
    .fisrt-cont{
        row-gap: 20px;
        margin-top: 20px;
        flex-direction: column;
        padding: 0px 10px;
    }
    .secondmini{
        margin-top: 53px;
        display: grid;
        grid-template-columns: repeat(2, 1fr);
    }
    .card-content {
        height: 170px;
        margin: 11px;
    }
    .card {
        width: 250px !important;
    }

}
@media only screen and (min-width: 801px) and (max-width: 1100px) {
    .second-cont{
        grid-template-columns: repeat(2, 1fr);
        padding: 0 20px;
    }
    .dest-img img {
        height: 145px;
        width: 120px;
    }
    .secondmini{
        display: grid;
        grid-template-columns: repeat(3, 1fr);
    }
    .destination1{
        justify-content: center;
        border: none;
    }
    .fisrt-cont{
        padding: 0 20px;
    }
    .top-destin{
        font-size: 25px;
    }
    .dest-info {
        width: 100%;
    }
    .card {
        width: 100% !important;
    }
    .card-content {
        height: 177px;
        margin: 15px;
    }
}

@media only screen and (min-width: 1101px) and (max-width: 1350px) {
    .fisrt-cont{
        padding: 0 20px;
    }
    .second-cont{
        column-gap: 20px;
        padding: 0 20px;
    }
    .card {
        width: 100% !important;
    }
    .card-content {
        height: 177px;
        margin: 15px;
    }
}

@media (max-width:1060px)
{
  .filter-btn
  {
    overflow-x: scroll !important;
    display: grid;
    grid-template-columns: repeat(5, 1fr);
    gap: 10px;
  }
  .filter-btn::-webkit-scrollbar {
    display: none;
  }
  .filter-btn button{
   
    width: 150px !important;
    max-width: 100% !important;
  }
}

@media(max-width:961px)
{
    .fisrt-cont{
        overflow: hidden;
        display: block;
     
    }
}